@import "_variables";

#gathering-card {
    padding: 30px;
    max-width: none;

    .main-info {
        position: relative;

        .gathering-pic {

            &:hover {
                cursor: grab;
            }
        }

        h2 a,
        h2 a:hover {
            color: inherit;
            text-decoration: none;
        }

        #edit-meeting {
            display: block;
            position: absolute;
            top: 0;
            right: 0;
            width: 34px;
            height: 34px;
            border-radius: 50%;
            color: $text-light-gray;

            i.material-icons {
                margin: 5px;
            }

            &:hover {
                background: #34bbde;
                color: white;
            }
        }

        @media (max-width: 375px) {
            display: block;

            .gathering-pic {
                margin: 0 auto 10px;
            }

            h2 {
                text-align: center;
            }

            .info {
                margin: auto 0;

                .icon-label {
                    margin: 0 auto;
                    width: fit-content;
                }
            }
        }
    }

    .path {
        margin: 20px 0 0;
        line-height: 1.5;
        height: 70px;

        label {
            color: $blue-dark;
            font-weight: 400;
            display: block;
            margin-left: 5px;
        }

        > div.path-input {
            position: relative;
            font-size: 20px;

            input {
                position: absolute;
                top: 0;
                left: 0;
                margin-left: 0;
            }

            input[name="public-folder-path"] {
                background: transparent;
                border: none;
                border-radius: 0;
                z-index: 2;
                color: $text-light-gray;
                width: fit-content;
            }

            input[name="save-path"] {
                width: 98%;
                z-index: 1;
                padding-left: 150px;
            }
        }
    }
}

.edit-gathering {
    border: none;
    color: $text-gray;
    border-radius: 10px;
    padding-left: 10px;
    margin-left: -10px;
    background: #f5f5f58c;

    &:hover,
    &:focus {
        background: whitesmoke;
        outline: none;
    }
}

textarea {
    resize: none;
    width: 100%;
    height: fit-content;
    min-height: 80px;
    padding: 15px;
}

#edit-title {
    margin-bottom: .5rem;
    font-weight: 300;
    line-height: 1.2;
    font-size: 32px;
}

#edit-date {
    border: none;
    font-size: 18px;
    color: #5c5c5c;
    border-radius: 10px;
    padding-left: 4px;
    margin-left: 2px;
    margin-top: -4px;
}

#edit-location {
    border: none;
    font-size: 18px;
    color: #5c5c5c;
    border-radius: 10px;
    padding-left: 4px;
    margin-left: 2px;
    margin-top: -4px;
}

#actions-card {
    margin-top: 10px;
    padding: 20px;
    max-width: none;
    display: none;

    .actions {
        display: flex;
        justify-content: center;

        .btn {
            margin: 10px 25px;
        }

        @media (max-width: 500px) {
            flex-wrap: wrap;
        }
    }
}

#modal-update-loader {
    cursor: wait;

    .modal-dialog {
        background: transparent;

        .modal-content {
            background: transparent;

            .loader {
                margin: 0 auto;

                .circle {
                    border-color: white;
                }
            }

            .text {
                padding: 20px 0;
                text-align: center;
                color: white;
                font-size: 20px;
            }
        }
    }
}